Subject: CLI CommandManager throws exception for ambiguous commands
Description

CommandIdentifier::getShortestIdentifierForCommand() currently fails to return the complete CommandIdentifier when
getShortCommandIdentifiers() did not find an unambiguous alias.

Associated revisions
Revision 5e5daa1b - 2011-09-26 09:29 - Bastian Waidelich

[BUGFIX] CLI CommandManager throws exception for ambiguous commands

This change ensures that the CommandManager returns the complete
CommandIdentifier for commands with the same controller and command
names, for example:
package.key:controller:command and
otherpackage.key:controller:command

Change-Id: I54dc784782eadd25f32fcd2e87a1011873070d35
Resolves: #30260

History
#1 - 2011-09-24 19:22 - Bastian Waidelich
- Category changed from Command to MVC

#2 - 2011-09-26 09:29 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I54dc784782eadd25f32fcd2e87a1011873070d35 has been pushed to the review server.
It is available at http://review.typo3.org/5342

#3 - 2011-09-28 14:36 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5e5daa1b69c58ba531b270ed685e9528ba01a413.
